%global _hardened_build 1

Name:           ndppd
Version:        0.2.5
Release:        1%{?dist}
Summary:        IPv6 Neighbor Discovery proxy daemon

License:        GPLv3+
URL:            https://github.com/DanielAdolfsson/%{name}
Source0:        https://github.com/DanielAdolfsson/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        ndppd.service

BuildRequires:  gcc-c++
BuildRequires:  make
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  systemd-rpm-macros
%endif


%description
ndppd, or NDP Proxy Daemon, is a daemon that proxies neighbor discovery
messages. It listens for neighbor solicitations on a specified interface and
responds with neighbor advertisements as described in RFC 4861 section 7.2.

%prep
%setup -q

%build
%make_build CXX="g++ %{optflags}" PREFIX=/usr

%install
%make_install PREFIX=/usr
%{__install} -d %{buildroot}%{_unitdir}
%{__install} -m644 %{SOURCE1} %{buildroot}%{_unitdir}/ndppd.service

%post
%systemd_post ndppd.service

%preun
%systemd_preun ndppd.service

%postun
%systemd_postun_with_restart ndppd.service

%files
%license LICENSE
%doc README ndppd.conf-dist
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0644,root,root) %{_unitdir}/ndppd.service
%attr(0644,root,root) %{_mandir}/man1/ndppd.1*
%attr(0644,root,root) %{_mandir}/man5/ndppd.conf.5*

%changelog
* Fri Jan 22 2021 Michael Hampton <error@ioerror.us> 0.2.5-1
- Initial package
